Subject: Re: Debug mode?

From: [email-masked]
Date: Tue, 26 Jan 1993 00:28:51 -0800

Jonathan Bradshaw writes:
>Anyone miss the old "D"ebug mode on MUCKS? Can this be added to the MOO
>server? Basically, it would show each line of code executed as the result.
>Makes debugging a whole lot easier.

I've always found the debug bit on verbs to be enough to let me know
there's a problem.  By adding a few player:tell statements somewhere I can
get updates on the program and see where things are going wrong.

Would a debug mode slow things down significantly?

Falryx
Falryx (or some derivative thereof @ wherever)

---------------------------------------------------------------------------
"I don't know about anyone else,  | "Childhood is short, and maturity lasts
but >I< came from my room, I'm a  | forever." - Calvin and Hobbes.
kid with big plans, and I'm going | 
outside!!!" - Calvin & Hobbes     | "The world is a complicated place..."
---------------------------------------------------------------------------